IT
API & MCPDocumentazione

Piattaforma per agenti e API Road User Tools

Converti le distanze

Converti tra chilometri, metri, miglia, iarde e piedi.

Interfacce

POST
Punto finale REST/api/v1/distance/convert
MCP
Nome dello strumentoconvert_distance

Richiesta

Invia la richiesta come JSON. I client MCP passano gli stessi campi degli argomenti dello strumento.

cURLshell
curl -X POST https://roaduser.tools/api/v1/distance/convert \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "value": 10,
  "from": "km",
  "to": "mi"
}'
Richiedi corpojson
{
  "value": 10,
  "from": "km",
  "to": "mi"
}

Risposta

REST racchiude il risultato del calcolo nella busta di successo standard. MCP restituisce gli stessi dati di calcolo dell'output strutturato dello strumento.

JSON
{
  "ok": true,
  "data": {
    "input": {
      "value": 10,
      "from": "km",
      "to": "mi"
    },
    "conversions": {
      "km": 10,
      "m": 10000,
      "mi": 6.2137119223733395,
      "yd": 10936.132983377078,
      "ft": 32808.39895013123
    },
    "result": 6.2137119223733395
  }
}

Schemi

Le definizioni seguenti mostrano lo schema JSON completo utilizzato per convalidare gli input e descrivere gli output.

Schema di input

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "value": {
      "type": "number",
      "description": "Distance value to convert. Must be finite and non-negative."
    },
    "from": {
      "type": "string",
      "enum": [
        "km",
        "m",
        "mi",
        "yd",
        "ft"
      ],
      "description": "Input distance unit."
    },
    "to": {
      "type": "string",
      "enum": [
        "km",
        "m",
        "mi",
        "yd",
        "ft"
      ],
      "description": "Optional target unit. When omitted, all units are returned."
    }
  },
  "required": [
    "value",
    "from"
  ]
}

Schema di output

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "input": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "value": {
          "type": "number"
        },
        "from": {
          "type": "string",
          "enum": [
            "km",
            "m",
            "mi",
            "yd",
            "ft"
          ]
        },
        "to": {
          "type": "string",
          "enum": [
            "km",
            "m",
            "mi",
            "yd",
            "ft"
          ]
        }
      },
      "required": [
        "value",
        "from"
      ]
    },
    "conversions": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "km": {
          "type": "number"
        },
        "m": {
          "type": "number"
        },
        "mi": {
          "type": "number"
        },
        "yd": {
          "type": "number"
        },
        "ft": {
          "type": "number"
        }
      },
      "required": [
        "km",
        "m",
        "mi",
        "yd",
        "ft"
      ]
    },
    "result": {
      "type": "number",
      "description": "Target-unit result when a target unit is supplied."
    }
  },
  "required": [
    "input",
    "conversions"
  ]
}
Documentazione API e MCP